Bug 618096 (CVE-2010-2813)

Summary: CVE-2010-2813 SquirrelMail: DoS (disk space consumption) by random IMAP login attempts with 8-bit characters in the password
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bressers, mhlavink, mjc
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20100723,reported=20100723,source=internet,cvss2=5/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-3/squirrelmail=wontfix,rhel-4/squirrelmail=affected,rhel-5/squirrelmail=affected,fedora-all/squirrelmail=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-09 04:47:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 737980, 737981, 737982, 833983    
Bug Blocks: 720699    

Description Jan Lieskovsky 2010-07-26 06:16:26 UTC
A denial of service flaw was found in the way SquirrelMail processed
random login attempts with 8-bit characters in the password. A remote
attacker could use this flaw to cause the server system potentially
to run out of the hard disk space via random login attempts, causing
SquirrelMail temporarily to accept the login and create a preferences
file for the given username.

References:
  [1] http://www.squirrelmail.org/security/issue/2010-07-23

Upstream patch:
  [2] http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail/branches/SM-1_4-STABLE/squirrelmail/functions/imap_general.php?view=patch&r1=13972&r2=13971&pathrev=13972

Affected Versions: <= v1.4.20

Register Globals:
  Register_globals does not have to be on for this issue.

Credit:
  Issue discovered by Mikhail Goriachev

Comment 1 Jan Lieskovsky 2010-07-26 06:21:04 UTC
This issue affects the versions of the squirrelmail package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue has been already addressed in the versions of squirrelmail
package, which is currently present in Fedora -testing repository
(squirrelmail-1.4.21-1.fc1{2,3}).

Comment 2 Jan Lieskovsky 2010-07-26 06:22:56 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.

Comment 4 Fedora Update System 2010-08-12 04:08:03 UTC
squirrelmail-1.4.21-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-08-12 04:11:43 UTC
squirrelmail-1.4.21-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2012-02-08 19:47:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2012:0103 https://rhn.redhat.com/errata/RHSA-2012-0103.html